Remove a PermissionPolicy from support users for an organization - m3ter Documentation
Remove a PermissionPolicy from support users for an organization
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/removefromsupportusers \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/removefromsupportusers"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/removefromsupportusers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/removefromsupportusers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/removefromsupportusers"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.post("https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/removefromsupportusers")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/removefromsupportusers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Formats
200
{
"id": "<string>",
"version": 123,
"permissionPolicyId": "<string>",
"principalId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
4XX
{
"message": "<string>"
}
5XX
{
"message": "<string>"
}
Authorizations
Authorization
string header required
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
orgId
string required
UUID of the organization
permissionPolicyId
string required
UUID of the permission policy
Response
200 application/json
Returns the PrincipalPermission
id
string required
The UUID of the entity.
version
integer
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
permissionPolicyId
string
principalId
string
dtCreated
string
The DateTime (in ISO-8601 format) when the principal permission was created. dtLastModified
string
The DateTime (in ISO-8601 format) when the principal permission was last modified. createdBy
string
The id of the user who created this principal permission. lastModifiedBy
string
The id of the user who last modified this principal permission.